  <div class="contentFull left filler-bottom-end-p">
    <div class="content-holder">
      <h3>Articles Achieve</h3>
      <p>This is the achieve of Articles from previous version of vPopulus. You can search though them since they
        contain a lot of history and useful information.</p>

<div nz-row>
  <div nz-col nzSpan="21">
      <input id="searchBar" class="search-bar" type="search" name="q" value="" placeholder="Search by article title..." [(ngModel)]="partOfTitle">
  </div>
  <div nz-col [nzOffset]="1" nzSpan="2">
      <input class="smBtn blButton right smaller" type="submit" value="Search" style="border:none; min-width: 100%" (click)="loadData()">
  </div>
</div>


      <nz-spin [nzSpinning]="isLoading">
      <table class="archieveArticles tableColor">
        <thead>
          <tr>
            <th>#</th>
            <th>Newspaper name
<!-- {{'Military.Battle.BuyWP2' | translate}} -->
            </th>
            <th>Article title</th>
            <th>Date published</th>
            <th>Published in</th>
            <th></th>
          </tr>
        </thead>
        <tbody>

          <tr *ngFor="let article of articlesList">
            <td>{{article.id}}</td>
            <td>{{article.newspaperName}}</td>
            <td>
              <strong>{{article.title}}</strong>
            </td>
            <td>{{article.publishDateTime.replace('T', ' ')}}</td>
            <td>
                <img src="{{hostUrl}}/assets/img/fla/s/{{article.countryName.toLowerCase() === 'adminland' ? 'vpopulus' : article.countryName.toLowerCase()}}.png">
            </td>
            <td>
              <a href="{{hostUrl}}/archive/article/{{article.id}}" target="_blank">
                <input class="addButton blButton" type="submit" value="Read" style="border:none;">
              </a>
            </td>
          </tr>
        
        </tbody>
      </table>
    </nz-spin>

<div nz-row nzType="flex" nzJustify="center" style="margin-top: 10px;">
  <div nz-col nzSpan="8">
      <nz-pagination [nzPageIndex]="page" [nzTotal]="totalEntries" [nzPageSize]="15" (nzPageIndexChange)="pageChange($event)"></nz-pagination>
  </div>
</div>

    </div>
  </div>